<?php
namespace Bushelpowered\Api\Quoting\V1\Request;
        
class UpsertServiceRequest 
{
    /** @var null|string $id The id of the record to update, will be created if null*/
    public ?string $id = null;
    /** @var \Bushelpowered\Api\Quoting\V1\Enums\ServiceType $feeType */
    public \Bushelpowered\Api\Quoting\V1\Enums\ServiceType $feeType;
    /** @var string $description */
    public string $description;
    /** @var float $amount */
    public float $amount;

    /**
     * @param  null|string  $id The id of the record to update, will be created if null
     * @param  \Bushelpowered\Api\Quoting\V1\Enums\ServiceType  $feeType 
     * @param  string  $description 
     * @param  float  $amount 
     */
    public function __construct(?string $id, \Bushelpowered\Api\Quoting\V1\Enums\ServiceType $feeType, string $description, float $amount)
    {
        $this->id = $id;
        $this->feeType = $feeType;
        $this->description = $description;
        $this->amount = $amount;
    }
    

}